<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>
        
        h2 {
            padding: 30px;
            width: 70px;
            height: 30px;
            border: 5px solid #043927;
            margin: 30px;
            background: green;
            outline-style: solid;
            outline-color: coral;
            outline-width: 20px;
            display: inline-block;
            overflow: hidden;
        }

        #content {
            background-clip: auto;
            background-size: auto;
            background-color: white;
            overflow: scroll;
        }

        .padding {
            background-clip: border-box;
            background-color: green;
            display: inline-block;
            padding: 3px;
        }

        .margin {
            background-clip: border-box;
            background-color: coral;
            display: inline;
            padding: 3px;
            
        }

        .border {
            background-clip: border-box;
            padding: 3px;
            border: 3px solid;
            display: inline;
            margin: 4px;
        }

    </style>
</head>

<body>
    <h1> CSS Box Model (with overflowing content)</h1>
        <span>
            <h2> <span id="content"> this is </span></h2>
            <p class="padding"> padding </p>
            <p class="margin"> margin </p>
            <p class="border"> border </p>
        </span>   
</body>

</html>